Bug 1276604 - [GSS] (6.4.z) Fix pontential ConcurrentModificationException when closing connections
[GSS] (6.4.z) Fix pontential ConcurrentModificationException when closing con...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: HornetQ (Show other bugs)
6.4.5
Unspecified Unspecified
high Severity high
: CR1
: EAP 6.4.5
Assigned To: Vaclav Tunka
Miroslav Novak
:
Depends On:
Blocks: 1235745 1247277
  Show dependency treegraph
 
Reported: 2015-10-30 05:36 EDT by Vaclav Tunka
Modified: 2017-01-17 06:42 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-17 06:41:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker HORNETQ-1497 Major Open Potential ConcurrentModificationException when closing connections 2017-06-08 02:37 EDT

  None (edit)
Description Vaclav Tunka 2015-10-30 05:36:38 EDT
Description of problem:
org.hornetq.core.server.impl.QueueImpl#getConsumers returns the actual Set of consumers, but if another thread modifies this collection while the caller loops through the Set then a ConcurrentModificationException will be thrown. This is possible particularly in management operations that work on the Set of consumers like org.hornetq.api.core.management.HornetQServerControl#closeConsumerConnectionsForAddress.


Version-Release number of selected component (if applicable):
2.3.25.SP4
Comment 3 Ondřej Kalman 2015-11-02 09:54:06 EST
Verified with 6.4.5.CP.CR1
Comment 4 Petr Penicka 2017-01-17 06:41:23 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.
Comment 5 Petr Penicka 2017-01-17 06:42:34 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Note You need to log in before you can comment on or make changes to this bug.